<?php

namespace App\Rules;

use Illuminate\Contracts\Validation\Rule;
use ParagonIE\ConstantTime\Base32;

class IsBase32Encoded implements Rule
{
    /**
     * Create a new rule instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Determine if the validation rule passes.
     *
     * @param  string  $attribute
     * @param  mixed  $value
     * @return bool
     */
    public function passes($attribute, $value)
    {
        try {
            $secret = Base32::decodeUpper($value);
        } catch (\Exception $e) {
            return false;
        }

        return true;
    }

    /**
     * Get the validation error message.
     *
     * @return string
     */
    public function message()
    {
        return trans('validation.custom.secret.isBase32Encoded');
    }
}
